import { ethers } from "ethers";
import { Logger } from "winston";
export declare class RateLimitedProvider extends ethers.providers.StaticJsonRpcProvider {
    readonly pctRpcCallsLogged: number;
    readonly logger: Logger;
    private queue;
    constructor(maxConcurrency: number, pctRpcCallsLogged: number, logger?: Logger, ...cacheConstructorParams: ConstructorParameters<typeof ethers.providers.StaticJsonRpcProvider>);
    wrapSendWithLog(method: string, params: Array<unknown>): Promise<any>;
    send(method: string, params: Array<unknown>): Promise<unknown>;
}
